# OpenLink Virtuoso Universal Server: Documentation - method

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Overview
Installation Guide
Quick Start & Tours
Sample ODBC & JDBC Applications
Conceptual Overview
Server Administration
Data Access Interfaces
SQL Reference
SQL Procedure Language Guide
Database Event Hooks
Data Replication, Synchronization and Transformation Services
Web Application Development
XML Support
RDF Database and SPARQL
Web Services
Runtime Hosting
Internet Services
Free Text Search
TPC C Benchmark Kit
Using Virtuoso with Tuxedo
Appendix
Virtuoso Functions Guide

## method

Page method - a user defined member of page class.
< method name (required) returns (optional) arglist (optional) />
Description

This creates a custom method of the page class.

Attributes
name = SqlName

The name of method to be created

returns = SqlName

Optional return datatype type

arglist

comma-separated list of arguments. For example : "in arg1 varchar, out arg1 integer ..."